
ISIS - Feature #4181

photrim - needs an option to use the shapemodel or not when trimming inc and ema

2016-07-22 04:00 PM - Tammy Becker

Status: Closed   

Priority: Normal   

Assignee: Marjorie Hahn   

Category: Applications   

Target version: FY17 Backlog   

Impact: New feature to photrim, no expected

impact.

Software Version: 3.4.12 (FY16 R2 2016-03-17 Mar)

Description

photrim needs the equivalent of the 'usedem' option available in photomet.

photrim currently trims at the 'local' emission and incidence angle when an image points to a shapemodel in the Kernels group.

The results can be messy and irregular with the shapemodel.  The option to turn off reference to the shapemodel and use

the ellipsoid emission/incidence angle value results in a smooth boundary (usedem=false).

An undesirable work around is to use editlab and set shapemode=NULL; this is not good.  

History

#1 - 2016-07-27 04:12 PM - Marjorie Hahn

- Assignee set to Marjorie Hahn

#2 - 2016-07-27 04:14 PM - Marjorie Hahn

- Status changed from Acknowledged to In Progress

- Software Version set to 3.4.12 (FY16 R2 2016-03-17 Mar)

#3 - 2016-08-01 04:29 PM - Marjorie Hahn

- Status changed from In Progress to Resolved

- Impact updated

The application, photrim, with the option to use DEM can be found ready for testing in /work/projects/isis/latest/m04181

#5 - 2016-10-03 10:15 AM - Stuart Sides

- Target version set to FY17 Backlog

#6 - 2016-10-31 11:26 AM - Tammy Becker

- Status changed from Resolved to Closed

photrim works as expected now.  The documentation has also been improved in terms of how the usedem works and the source of angles when

trimming.

UserTestPlan Location = /work/projects/usertests/UserTestPlans/Apps/photrim/m04181

Good job!
